Bug 26970 - Add row highlight on drag in Elasticsearch mapping template
Summary: Add row highlight on drag in Elasticsearch mapping template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 26958
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-09 08:39 UTC by Fridolin Somers
Modified: 2021-04-25 14:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 26970: Add row highlight on drag in Elasticsearch mapping template (1.79 KB, patch)
2020-11-09 08:47 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26970: Add row highlight on drag in Elasticsearch mapping template (1.89 KB, patch)
2021-04-01 15:11 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 26970: Add row highlight on drag in Elasticsearch mapping template (1.95 KB, patch)
2021-04-03 13:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-11-09 08:39:10 UTC
In Elasticsearch mapping table :
In order to better see which row is currently in drag-an-drop, add an highlight color like in circulation and fine rules when editing a row.
Comment 1 Fridolin Somers 2020-11-09 08:39:33 UTC
Depends on refactoring in Bug 26958
Comment 2 Fridolin Somers 2020-11-09 08:47:09 UTC
Created attachment 113302 [details] [review]
Bug 26970: Add row highlight on drag in Elasticsearch mapping template

In Elasticsearch mapping tables :
In order to better see which row is currently in drag-an-drop,
add an highlight color like in circulation and fine rules when editing a row.

Test plan :
1) Go to Administration > Search engine configuration (Elasticsearch)
2) In each table : biblio, authorities, facets
3) Clik on a row to start a drag => See row turning orange
4) Release to drop => See row turning back to original color
Comment 3 Séverine Queune 2021-04-01 15:11:51 UTC
Created attachment 119083 [details] [review]
Bug 26970: Add row highlight on drag in Elasticsearch mapping template

In Elasticsearch mapping tables :
In order to better see which row is currently in drag-an-drop,
add an highlight color like in circulation and fine rules when editing a row.

Test plan :
1) Go to Administration > Search engine configuration (Elasticsearch)
2) In each table : biblio, authorities, facets
3) Clik on a row to start a drag => See row turning orange
4) Release to drop => See row turning back to original color

https://bugs.koha-community.org/show_bug.cgi?id=26970
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Katrin Fischer 2021-04-03 13:49:06 UTC
Created attachment 119151 [details] [review]
Bug 26970: Add row highlight on drag in Elasticsearch mapping template

In Elasticsearch mapping tables :
In order to better see which row is currently in drag-an-drop,
add an highlight color like in circulation and fine rules when editing a row.

Test plan :
1) Go to Administration > Search engine configuration (Elasticsearch)
2) In each table : biblio, authorities, facets
3) Clik on a row to start a drag => See row turning orange
4) Release to drop => See row turning back to original color

https://bugs.koha-community.org/show_bug.cgi?id=26970
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-07 14:38:19 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-19 10:02:27 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.05
Comment 7 Andrew Fuerste-Henry 2021-04-25 14:15:55 UTC
Enhancement, not backported to 20.05